---
title: "Get Channel Information"
slug: "get-channel-information"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/get-channel-information"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Channel Information
Get/api/v1/channels.info
Retrieves the information about the channel. This does not include archived channels. You must be a member of the channel.
### Changelog
| Version | Description |
| --- | --- |
| 0.48.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Query parametersroomIdstring
The room ID. It is required if the `roomName` is not provided.
Exampledlpfuijw7ej
roomNamestring
The room name. It is required if the `roomId` is not provided.
Examplegeneral
Responses200
OK
Example
```json
{
"channel": {
"_id": "ByehQjC44FwMeiLbX",
"name": "testing",
"fname": "testing",
"t": "c",
"msgs": 0,
"usersCount": 2,
"u": {
"_id": "HKKPmF8rZh45GMHWH",
"username": "marcos.defendi"
},
"customFields": {},
"broadcast": false,
"encrypted": false,
"ts": "2020-05-21T13:14:07.070Z",
"ro": false,
"default": false,
"sysMes": true,
"_updatedAt": "2020-05-21T13:14:07.096Z"
},
"success": true
}
```
Expand Allobject channelobject _idstring
fnamestring
customFieldsobject
topicstring
broadcastboolean
encryptedboolean
namestring
tstring
msgsinteger
usersCountinteger
uobject _idstring
usernamestring
tsstring
roboolean
defaultboolean
sysMesboolean
_updatedAtstring
lastMessageobject _idstring
ridstring
msgstring
tsstring
uobject _idstring
usernamestring
namestring
_updatedAtstring
urls Array of object object
mentions Array of object object
channels Array of object object
md Array of object object typestring
value Array of object object typestring
valuestring
lmstring
successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring